package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumBillRentPayWay {

    WEIXIN(1, "微信"),
    ALIPAY(2, "支付宝"),
    BANK(3,"银行"),
    CASH(4,"现金")
    ;

    public static EnumBillRentPayWay getEnum(Integer code) {
        for (EnumBillRentPayWay value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumBillRentPayWay(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
